package bomb;

import java.awt.Graphics2D;
import java.awt.image.BufferedImage;

public class BombPanel
{
	private static final long serialVersionUID = 1L;

	public BombTextField		textX, textY, textWidth, textHeight, textBomb, textName;
	
	public BombPanel( BombImage bombImage )
	{
		BufferedImage iBackground	= bombImage.setPicsMain( "/images/text_field.png", false );
		
		this.textX				= new BombTextField( iBackground, true );
		this.textX.setLocation( 115, 430 );
		this.textX.setSize( 50, 20 );
		this.textX.setVisible( false );
		
		this.textY				= new BombTextField( iBackground, true );
		this.textY.setLocation( 195, 430 );
		this.textY.setSize( 50, 20 );
		this.textY.setVisible( false );
		
		this.textWidth			= new BombTextField( iBackground, true );
		this.textWidth.setLocation( 115, 455 );
		this.textWidth.setSize( 50, 20 );
		this.textWidth.setVisible( false );
		
		this.textHeight			= new BombTextField( iBackground, true );
		this.textHeight.setLocation( 195, 455 );
		this.textHeight.setSize( 50, 20 );
		this.textHeight.setVisible( false );
		
		this.textBomb			= new BombTextField( iBackground, "5", true );
		this.textBomb.setLocation( 295, 455 );
		this.textBomb.setSize( 30, 20 );
		
		this.textName			= new BombTextField( iBackground, "Apo", false );
		this.textName.setLocation( 335, 455 );
		this.textName.setSize( 70, 20 );

	}
	
	public void mousePressed( int x, int y )
	{
		this.textX.mousePressed( x, y );
		this.textY.mousePressed( x, y );
		this.textWidth.mousePressed( x, y );
		this.textHeight.mousePressed( x, y );
		this.textBomb.mousePressed( x, y );
		this.textName.mousePressed( x, y );
	}
	
	public void keyReleased( int key, char character )
	{
		//System.out.println("key = "+key);
		this.textX.keyReleased( key, character );
		this.textY.keyReleased( key, character );
		this.textWidth.keyReleased( key, character );
		this.textHeight.keyReleased( key, character );
		this.textBomb.keyReleased( key, character );
		this.textName.keyReleased( key, character );
	}
	
	public void render( Graphics2D g )
	{
		this.textX.render( g );
		this.textY.render( g );
		this.textWidth.render( g );
		this.textHeight.render( g );
		this.textName.render( g );
		this.textBomb.render( g );
	}

}
