package bomb;

import java.util.TimerTask;

public class BombTimerTask extends TimerTask
{
	
	private BombGame		bombGame;
	private long			delay;
	
	public BombTimerTask( BombGame bombGame, long delay )
	{
		super();

		this.bombGame		= bombGame;
		this.delay			= delay;
	}

	@Override
	public void run()
	{
		this.bombGame.think( (int)this.delay );
	}

}
