package bomb;

import java.io.File;

/**
 * Klasse, um im OpenDialog nur Class Dateien zu sehen und
 * nicht alle anderen Dateiformate
 * @author Dirk Aporius
 *
 */
class BombClassFileFilter extends javax.swing.filechooser.FileFilter 
{
    BombClassFileFilter() 
    {
    }
	
    public String getExtension(File file) 
    {
        String s = "";
        String s1 = file.getName();
        int i = s1.lastIndexOf(46);
        if(i > 0 && i < s1.length() - 1)
            s = s1.substring(i + 1).toLowerCase();
        return s;
    }

    /**
     * was soll nur angezeigt werden
     */
    public String getDescription() 
    {
        return "Nur bomb-Dateien";
    }

    /**
     * akzeptiert nur class Dateien, alle anderen nimmt er nicht an
     */
    public boolean accept(File file) 
    {
        if(file.isDirectory())
            return true;
        String s = getExtension(file);
        if(s != null)
            return ((s.equals("bomb")));
        else
            return false;
    }

}
