package bomb;

import java.util.Timer;

public class BombLogicTimer
{
	private BombGame			bombGame;
	
	private BombTimerTask		bombTimerTask;
	
	private long				delay;
	
	private Timer				timer;
	
	public BombLogicTimer( BombGame bombGame, int delay )
	{
		super();

		this.bombGame		= bombGame;
		this.delay			= delay;
		
		this.timer			= new Timer();
		
		this.bombTimerTask	= new BombTimerTask( this.bombGame, this.delay );
	}

	/**
	 * startet den Timer
	 */
	public void start()
	{
		this.timer.scheduleAtFixedRate( this.bombTimerTask, 0, this.delay );
	}
	
	/**
	 * beendet den Timer
	 */
	public void stop()
	{
		this.timer.cancel();
	}

}