package bomb;

public class BombSpeedCalculation
{
	private double	sweetySpeedX, sweetySpeedY;
	
	public BombSpeedCalculation()
	{
		super();
		
		this.sweetySpeedX	= 0.0D;
		this.sweetySpeedY	= 0.0D;
	}
	
	public double getXSpeed()
	{
		return this.sweetySpeedX;
	}
	
	public double getYSpeed()
	{
		return this.sweetySpeedY;
	}
	
	public void setSpeedCalculation( int sweetyX, int sweetyY, int sweetyWidth, int sweetyHeight, double xSpeed, double ySpeed, int bombX, int bombY )
	{
		this.sweetySpeedX	= 0.0D;
		this.sweetySpeedY	= 0.0D;
		int xMiddle		= sweetyX + sweetyWidth / 2;
    	int yMiddle		= sweetyY + sweetyHeight / 2;
    	if (	( bombX < xMiddle - 50 ) || ( bombX > xMiddle + 50 ) ||
    			( bombY < yMiddle - 50 ) || ( bombY > yMiddle + 50 ) )
    	{
    		this.sweetySpeedX	= xSpeed;
    		this.sweetySpeedY	= ySpeed;
    		return;
    	}
    	double newXSpeed	= 0.0D;
    	double newYSpeed	= 0.0D;
   		if ( bombY > sweetyY + sweetyHeight / 2 )
   		{
			double tempY	= ( 0.17 * ( bombY - sweetyY - sweetyHeight ) );
			if ( bombY < sweetyY + sweetyHeight )
				tempY		= -( 0.17 * ( bombY - sweetyY - sweetyHeight ) );
   			double tempX	= 0;
   			if ( bombX < xMiddle )
   				tempX		= ( 0.17 * ( - bombX + xMiddle ) );
   			else
   				tempX		= ( 0.17 * ( + bombX  - xMiddle  ) );
   			newYSpeed	= - 10.0D + tempY + tempX;
   			if ( newYSpeed > 0 )
   				newYSpeed	= 0;
   			//System.out.println("newYSpeed = "+newYSpeed+" tempX = "+tempX+" tempY = "+tempY);
   		} else if ( bombY < sweetyY + sweetyHeight / 2 )
   		{
   			double tempY	= ( 0.17 * ( - bombY + sweetyY ) );
   			if ( bombY > sweetyY )
				tempY		= -( 0.17 * ( - bombY + sweetyY ) );
   			double tempX	= 0;
   			if ( bombX < xMiddle )
   				tempX		= ( 0.17 * ( - bombX + xMiddle ) );
   			else
   				tempX		= ( 0.17 * ( + bombX  - xMiddle  ) );
   			newYSpeed	= 10.0D - tempY - tempX;
   			if ( newYSpeed < 0 )
   				newYSpeed	= 0;
   			//System.out.println("newYSpeed = "+newYSpeed+" tempX = "+tempX+" tempY = "+tempY);
   		} else
   		{
   			newYSpeed	= 0.0D;
   		}
   		if (  bombX < sweetyX )
   		{
   			double tempX		= ( 0.08 * ( - bombX + sweetyX ) );
   			double tempY		= 0;
   			if ( bombY > sweetyY + sweetyHeight )
   				tempY = ( 0.07 * ( bombY - sweetyY - sweetyHeight ) );
   			else if ( bombY < sweetyY )
   				tempY = ( 0.07 * ( - bombY + sweetyY ) );
   			else if ( bombY < yMiddle )
   				tempY = ( 0.07 * ( bombY - sweetyY ) );
   			else
   				tempY = ( 0.07 * ( - bombY + sweetyY + sweetyHeight ) );
   			newXSpeed	= 4.5D - tempY - tempX;
   			if ( newXSpeed < 0 )
   				newXSpeed = 0;
   		} else if ( bombX > sweetyX + sweetyWidth )
   		{
   			double tempX		= ( 0.08 * ( bombX - sweetyX - sweetyWidth ) );
   			double tempY		= 0;
   			if ( bombY > sweetyY + sweetyHeight )
   				tempY = ( 0.07 * ( bombY - sweetyY - sweetyHeight ) );
   			else if ( bombY < sweetyY )
   				tempY = ( 0.07 * ( - bombY + sweetyY ) );
   			else if ( bombY < yMiddle )
   				tempY = ( 0.07 * ( bombY - sweetyY ) );
   			else
   				tempY = ( 0.07 * ( - bombY + sweetyY + sweetyHeight ) );
   			newXSpeed	= - 4.5D + tempY + tempX;
   		} else if ( bombX < xMiddle )
   		{
   			double tempX		= ( 0.25 * ( bombX - sweetyX ) );
   			double tempY		= 0;
   			if ( bombY > sweetyY + sweetyHeight )
   				tempY = ( 0.08 * ( bombY - sweetyY - sweetyHeight ) );
   			else if ( bombY < sweetyY )
   				tempY = ( 0.08 * ( - bombY + sweetyY ) );
   			else if ( bombY < yMiddle )
   				tempY = ( 0.08 * ( bombY - sweetyY ) );
   			else
   				tempY = ( 0.08 * ( - bombY + sweetyY + sweetyHeight ) );
   			newXSpeed	= 4.0D - tempY - tempX;
   			if ( newXSpeed < 0 )
   				newXSpeed = 0;
   		} else
   		{
   			double tempX		= ( 0.25 * ( - bombX + sweetyX + sweetyWidth ) );
   			double tempY		= 0;
   			if ( bombY > sweetyY + sweetyHeight )
   				tempY = ( 0.08 * ( bombY - sweetyY - sweetyHeight ) );
   			else if ( bombY < sweetyY )
   				tempY = ( 0.08 * ( - bombY + sweetyY ) );
   			else if ( bombY < yMiddle )
   				tempY = ( 0.08 * ( bombY - sweetyY ) );
   			else
   				tempY = ( 0.08 * ( - bombY + sweetyY + sweetyHeight ) );
   			newXSpeed	= - 4.0D + tempY + tempX;
   			if ( newXSpeed > 0 )
   				newXSpeed = 0;
   		}
    	this.sweetySpeedX	= xSpeed/3 + newXSpeed;
		this.sweetySpeedY	= ySpeed/3 + newYSpeed;
	}

}
